# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/ingenic,ipu.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ingenic SoCs Image Processing Unit (IPU) devicetree bindings

maintainers:
  - Paul Cercueil <paul@crapouillou.net>

properties:
  compatible:
    oneOf:
      - enum:
          - ingenic,jz4725b-ipu
          - ingenic,jz4760-ipu
      - items:
          - const: ingenic,jz4770-ipu
          - const: ingenic,jz4760-ipu

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-names:
    const: ipu

patternProperties:
  "^ports?$":
    description: OF graph bindings (specified in bindings/graph.txt).

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/jz4770-cgu.h>
    ipu@13080000 {
      compatible = "ingenic,jz4770-ipu", "ingenic,jz4760-ipu";
      reg = <0x13080000 0x800>;

      interrupt-parent = <&intc>;
      interrupts = <29>;

      clocks = <&cgu JZ4770_CLK_IPU>;
      clock-names = "ipu";

      port {
        ipu_ep: endpoint {
          remote-endpoint = <&lcdc_ep>;
        };
      };
    };
